Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • All methods
          • XML structure of CORS configuration
          • PutBucketCors
          • GetBucketCors
          • DeleteBucketCors
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Query parameters
  • Headers
  • Data schema
  • Response
  • Headers
  • Response codes
  1. API reference
  2. AWS S3 REST
  3. REST
  4. CORS
  5. PutBucketCors

Object Storage API, Amazon S3-compatible REST: PutBucketCors

Written by
Yandex Cloud
Updated at May 6, 2026
  • Request
    • Path parameters
    • Query parameters
    • Headers
    • Data schema
  • Response
    • Headers
    • Response codes

Uploads a CORS configuration for a bucket. It replaces any existing configuration.

A CORS configuration is an XML file up to 64 KB. A configuration may not contain more than 100 rules.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

PUT /{bucket}?cors HTTP/2

Path parametersPath parameters

Parameter Description
bucket Bucket name.

Query parametersQuery parameters

Parameter Description
cors Required parameter that indicates the type of operation.

HeadersHeaders

Use the appropriate common headers in your request.

The Content-MD5 header is required.

Data schemaData schema

A CORS configuration is provided as an XML document. For the schema description, see CORS in Object Storage

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

Related articlesRelated articles

  • CORS in Object Storage

  • Configuring CORS

See alsoSee also

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
XML structure of CORS configuration
Next
GetBucketCors
© 2026 Direct Cursus Technology L.L.C.